import 'package:package_info/package_info.dart';

abstract class PackageUtils{
  static PackageInfo _packageInfo;

  static init() async {
    _packageInfo = await PackageInfo.fromPlatform();
  }

  static String appName() => _packageInfo != null ? _packageInfo.appName : null;
  static String packageName() => _packageInfo != null ? _packageInfo.packageName : null;
  static String version() => _packageInfo != null ? _packageInfo.version : null;
  static String buildNumber() => _packageInfo != null ? _packageInfo.buildNumber : null;
}