import 'package:flutter/widgets.dart';
import 'package:flutter/services.dart';

class InputMethodUtils
{
  static void hideInputMethod(BuildContext context, {bool force = false})
  {
    FocusScope.of(context).requestFocus(new FocusNode());
    if(force)
      SystemChannels.textInput.invokeMethod('TextInput.hide');
  }

  static void showInputMethod(BuildContext context, {bool force})
  {
    SystemChannels.textInput.invokeMethod('TextInput.show');
  }
}