import 'package:url_launcher/url_launcher.dart';

class IntentUtils
{
//  static void takePhoto(Activity context, int request_code)
//  {
//    context.startActivityForResult(new Intent(MediaStore.ACTION_IMAGE_CAPTURE), request_code);
//  }
//
//  static void takePhoto(Activity context, Bundle extras, int request_code)
//  {
//    context.startActivityForResult(new Intent(MediaStore.ACTION_IMAGE_CAPTURE).putExtras(extras), request_code);
//  }
//
//  static void takePhoto(Activity context, Intent extras, int request_code)
//  {
//    context.startActivityForResult(new Intent(MediaStore.ACTION_IMAGE_CAPTURE).putExtras(extras), request_code);
//  }
//
//  static void selectPhotoFromGallery(Activity context, String mime_type, String chooser_title, int request_code)
//  {
//    context.startActivityForResult
//      (
//        Intent.createChooser
//          (
//            new Intent()
//                .setType(mime_type)
//                .setAction(Intent.ACTION_GET_CONTENT),
//            chooser_title
//        ), request_code
//    );
//  }


  static void launchURL(String url)
  {
    try
    {
      String suitableURL;
      if(!url.startsWith("http://") && !url.startsWith("https://") && !url.startsWith("ftp://") && !url.startsWith("file://"))
        suitableURL = "http://" + url;
      else
        suitableURL = url;
      launch(suitableURL);
    } catch (e) {
      print(e);
    }
  }


  static void sendEmail(String address, {String subject, String body})
  {
    try{
      subject ??= "";
      body ??= "";
      launch("mailto:$address?subject=$subject&body=$body");
    } catch(e){
      print(e);
    }
  }

  static void sendSMS(String phoneNumber)
  {
    try{
      launch("sms:${phoneNumber.split(" ").join()}");
    } catch(e){
      print(e);
    }
  }

  static void call(String phoneNumber)
  {
    try{
      launch("tel:${phoneNumber.split(" ").join()}");
    } catch(e){
      print(e);
    }
  }

//  static void launchCamera(Activity context, int request_code)
//  {
//    context.startActivityForResult(new Intent(MediaStore.INTENT_ACTION_STILL_IMAGE_CAMERA), request_code);
//  }

}
